Skip to content

Adapter

11 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.

GET /api/v1/adapters/services/cw

Get all const cw from softcam decrypted adapter services.

Authentication: Authorization header (ApiKeyAuth)

Responses

StatusDescriptionSchema
200OKroute.APIResponse

GET /api/v1/adapters/services/{id}/cw

Get the const cw from softcam decrypted adapter services by sid.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesthe sid of the service

Responses

StatusDescriptionSchema
200OKroute.APIResponse

GET /api/v1/adapters/stats

List adapter stats.

Authentication: Authorization header (ApiKeyAuth)

Responses

StatusDescriptionSchema
200OKroute.APIResponse

DELETE /api/v1/adapters/{id}

Delete the adapter by ID or Name.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesadapter ID or Name

Responses

StatusDescriptionSchema
200OKroute.APIResponse

DELETE /api/v1/adapters/{id}/logs

Delete adapter logs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesAdapter ID

Responses

StatusDescriptionSchema
204No Content

GET /api/v1/adapters/{id}/logs

List adapter logs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesAdapter ID
afterqueryintegerNoLog sequence cursor; values less than or equal to 0 return all logs

Responses

StatusDescriptionSchema
200OKarray of utils.LogEntry

GET /api/v1/adapters/{id}/logs/download

Download adapter logs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesAdapter ID

Responses

StatusDescriptionSchema
200OKfile

POST /api/v1/adapters/{id}/restart

Restart the adapter.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesAdapter ID or Name

Responses

StatusDescriptionSchema
200OKroute.APIResponse

GET /api/v1/adapters/{id}/services

Get the adapter services by ID or Name.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesadapter ID or Name

Responses

StatusDescriptionSchema
200OKroute.APIResponse

POST /api/v1/adapters/{id}/start

Start the adapter.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesAdapter ID or Name

Responses

StatusDescriptionSchema
200OKroute.APIResponse

POST /api/v1/adapters/{id}/stop

Stop the adapter.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesAdapter ID or Name

Responses

StatusDescriptionSchema
200OKroute.APIResponse